"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.btoa = exports.binToBase64 = exports.atob = exports.base64ToBin = exports.base64ToHex = exports.hexToBase64 = exports.decodeBase64 = exports.encodeBase64 = void 0;
const encodeBase64 = (bytes) => Buffer.from(bytes).toString("base64");
exports.encodeBase64 = encodeBase64;
const decodeBase64 = (str) => Buffer.from(str, "base64").toString();
exports.decodeBase64 = decodeBase64;
const hexToBase64 = (str) => Buffer.from(str, "hex").toString("base64");
exports.hexToBase64 = hexToBase64;
const base64ToHex = (str) => Buffer.from(str, "base64").toString("hex");
exports.base64ToHex = base64ToHex;
const base64ToBin = (str) => Buffer.from(str, "base64").toString("binary");
exports.base64ToBin = base64ToBin;
exports.atob = base64ToBin;
const binToBase64 = (str) => Buffer.from(str, "binary").toString("base64");
exports.binToBase64 = binToBase64;
exports.btoa = binToBase64;
//# sourceMappingURL=Base64Utils.js.map