/**
 * 空方法
 * @return underfined
 */
declare const voidFunction: (...t: any) => void;
/**
 * 空方法
 * @param d 输入的第一个参数, 无参数返还underfined
 */
declare const doNothing: (d?: any) => any;
/**
 * 手动抛异常, 返还错误信息
 * @param err 错误信息
 */
declare const throwFunction: (err: string) => never;
/**
 * SLEEP
 * @param ms sleep时间, 单位: MS
 */
declare const sleep: (ms?: number) => Promise<unknown>;
export { voidFunction, throwFunction, doNothing, sleep };
