"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = exports.doNothing = exports.throwFunction = exports.voidFunction = void 0;
/**
 * 空方法
 * @return underfined
 */
const voidFunction = (...t) => { };
exports.voidFunction = voidFunction;
/**
 * 空方法
 * @param d 输入的第一个参数, 无参数返还underfined
 */
const doNothing = (d) => d;
exports.doNothing = doNothing;
/**
 * 手动抛异常, 返还错误信息
 * @param err 错误信息
 */
const throwFunction = (err) => {
    throw err;
};
exports.throwFunction = throwFunction;
/**
 * SLEEP
 * @param ms sleep时间, 单位: MS
 */
const sleep = (ms = 500) => __awaiter(void 0, void 0, void 0, function* () { return new Promise((r) => setTimeout(r, ms)); });
exports.sleep = sleep;
//# sourceMappingURL=FunctionUtils.js.map