"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitInteger = void 0;
const lodash_1 = __importDefault(require("lodash"));
const splitInteger = (num, count) => {
    if (count > num) {
        return lodash_1.default.fill(Array(count), 1);
    }
    const mc = num % count;
    const mf = count - mc;
    const rc = lodash_1.default.fill(Array(mc), Math.ceil(num / count));
    const rf = lodash_1.default.fill(Array(mf), Math.floor(num / count));
    return [...rf, ...rc];
};
exports.splitInteger = splitInteger;
//# sourceMappingURL=NumberUtils.js.map