/**
 * 判断是否能转为json
 * @param str 输入
 */
declare const isJsonString: (str: any) => boolean;
/**
 * 比较字符串是否相同, 忽略大小写
 * @param {string} v1 输入1
 * @param {string} v2 输入2
 * @return {boolean}  相同为true
 */
declare const equalIgnoreCase: (v1: string, v2: string) => boolean;
/**
 * 比较字符串是否开始, 忽略大小写
 * @param {string} v1 目标字符串
 * @param {string} v2 比较字符串
 * @return {boolean}  V1 以 V2开始 为true
 */
declare const startsWithIgnoreCase: (v1: string, v2: string) => boolean;
/**
 * 输入字符串str , 按size截断为数组, 当str长度小于initSize时不切; 当str为空时不切
 * @param str 输入
 * @param opts 选项
 * @param {number} opts.size     截断大小
 * @param {number} opts.initSize 忽略大小
 * @return
 */
declare const chunk: (str?: any, opts?: {
    size?: number;
    initSize?: number;
}) => any;
export { equalIgnoreCase, chunk, isJsonString, startsWithIgnoreCase };
